﻿#language: ru

@OPC_hands

Функционал: 06_OPC_hands.03.005 Заполнение констант

Сценарий: 06_OPC_hands.03.005 Заполнение констант
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И я нажимаю кнопку выбора у поля "Показатель плотности"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'Плотность молока' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я перехожу к закладке "Баланс жира и белка"
	И я нажимаю кнопку выбора у поля "Белкокилограммы"
	Тогда открылось окно 'Выберите единицу измерения'
	И я выбираю пункт контекстного меню "Создать" на элементе формы с именем "Список"
	Тогда открылось окно 'Единица измерения (создание)'
	И в поле 'Наименование' я ввожу текст 'бкг'
	И в поле 'Полное наименование' я ввожу текст 'бкг'
	И из выпадающего списка "Тип измеряемой величины" я выбираю точное значение 'Вес'
	И в поле 'Кратность' я ввожу текст '1,000'
	И в поле 'КоличествоВБазовойЕдиницеИзмерения' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Единица измерения (создание)' в течение 20 секунд
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Жирокилограммы"
	Тогда открылось окно 'Выберите единицу измерения'
	И я выбираю пункт контекстного меню "Создать" на элементе формы с именем "Список"
	Тогда открылось окно 'Единица измерения (создание)'
	И в поле 'Наименование' я ввожу текст 'жкг'
	И в поле 'Полное наименование' я ввожу текст 'жкг'
	И из выпадающего списка "Тип измеряемой величины" я выбираю точное значение 'Вес'
	И в поле 'Кратность' я ввожу текст '1,000'
	И в поле 'КоличествоВБазовойЕдиницеИзмерения' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Единица измерения (создание)' в течение 20 секунд
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "М.д. белка"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДБ'          |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "М.д. жира"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДЖ'          |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И в поле 'Белок' я ввожу текст '0,6'
	И в поле 'Базисный белок, %' я ввожу текст '3,00'
	И в поле 'Базисный жир, %' я ввожу текст '3,40'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 20 секунд